#include "animia.h"
#include <iostream>

int main() {
	/* getting all open files */
	std::vector<int> pids = Animia::get_all_pids();
	for (int i: pids) {
		if (Animia::get_process_name(i) == "mpc-hc64.exe") {
			std::vector<std::string> files = Animia::filter_system_files(Animia::get_open_files(i));
			for (std::string s: files) {
				std::cout << Animia::get_process_name(i) << " (" << i << "): " << s << "\n";
			}
		}
	}
}
